"""
    gestion.version, un module pour SLM
    - Ce petit module renvoie juste le numéro de version, éventuelement
      calculé en examinant des git-tags

    Copyright (C) 2023 Georges Khaznadar <georgesk@debian.org>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from subprocess import run
from packaging.version import Version

majeur = 0
mineur = 8
nuance = ""

default_version = f"{majeur}.{mineur}"
if nuance:
    default_version = f"{majeur}.{mineur}-{nuance}"


p = run("git tag | grep '^v'| sed 's/^v//'", shell=True, capture_output=True)

versions = [v for v in p.stdout.strip().decode("utf-8").split("\n") if v] + \
    [default_version]
versions = sorted(versions, key = Version)
version = versions[-1]

if __name__ == "__main__":
    print(versions, version)
    
